Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#332 NullPointerException while editing attributes

Linux / Unix
closed
nobody
5
2013-11-07
2013-08-30
David Tonhofer
No

While editing the attributes of a Dataset.

A Null Pointer Exception pops up.

(Unfortunately, in the present state the Dialog cannot be enlargened. That should be fixed I reckon.)

And this happens whenever I click on a cell in the Attribute edition window. At one moment I brought the displayed map to the foreground to check an area. I needed to close the Attribute edition window to be able to continue.

Anyway, here is the stack trace:

java.lang.NullPointerException
at com.vividsolutions.jump.workbench.ui.LayerViewPanel.flash(LayerViewPanel.java:734)
at com.vividsolutions.jump.workbench.ui.LayerViewPanel.flash(LayerViewPanel.java:771)
at com.vividsolutions.jump.workbench.ui.zoom.ZoomToSelectedItemsPlugIn.flash(ZoomToSelectedItemsPlugIn.java:189)
at com.vividsolutions.jump.workbench.ui.AttributePanel$2.mouseClicked(AttributePanel.java:196)
at java.awt.AWTEventMulticaster.mouseClicked(AWTEventMulticaster.java:270)
at java.awt.AWTEventMulticaster.mouseClicked(AWTEventMulticaster.java:269)
at java.awt.AWTEventMulticaster.mouseClicked(AWTEventMulticaster.java:269)
at java.awt.Component.processMouseEvent(Component.java:6508)
at javax.swing.JComponent.processMouseEvent(JComponent.java:3321)
at java.awt.Component.processEvent(Component.java:6270)
at java.awt.Container.processEvent(Container.java:2229)
at java.awt.Component.dispatchEventImpl(Component.java:4861)
at java.awt.Container.dispatchEventImpl(Container.java:2287)
at java.awt.Component.dispatchEvent(Component.java:4687)
at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4832)
at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4501)
at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4422)
at java.awt.Container.dispatchEventImpl(Container.java:2273)
at java.awt.Window.dispatchEventImpl(Window.java:2719)
at java.awt.Component.dispatchEvent(Component.java:4687)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:735)
at java.awt.EventQueue.access$200(EventQueue.java:103)
at java.awt.EventQueue$3.run(EventQueue.java:694)
at java.awt.EventQueue$3.run(EventQueue.java:692)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:87)
at java.awt.EventQueue$4.run(EventQueue.java:708)
at java.awt.EventQueue$4.run(EventQueue.java:706)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:705)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

Related

Bugs: #332

Discussion

  • ede
    ede
    2013-08-30

    On 30.08.2013 13:50, David Tonhofer wrote:


    [bugs:#332] NullPointerException while editing attributes

    Status: open
    Labels: NullPointerException
    Created: Fri Aug 30, 2013 11:50 AM UTC by David Tonhofer
    Last Updated: Fri Aug 30, 2013 11:50 AM UTC
    Owner: nobody

    While editing the attributes of a Dataset.

    A Null Pointer Exception pops up.

    (Unfortunately, in the present state the Dialog cannot be enlargened. That should be fixed I reckon.)

    And this happens whenever I click on a cell in the Attribute edition window. At one moment I brought the displayed map to the foreground to check an area. I needed to close the Attribute edition window to be able to continue.

    does the feature incidentially miss a geometry?

    can you supply a test dataset?

    ..ede

     

    Related

    Bugs: #332

  • ede
    ede
    2013-08-30

    please try snapshot rev.3698 ..ede

     
  • David ?

    Any way to reproduce the error ?
    Or should we close the ticket ?

     
  • David Tonhofer
    David Tonhofer
    2013-11-07

    Hi Michel.

    I cannot currently reproduce; I can't remember what the original dataset was, and I was off the project for a while.

    does the feature incidentially miss a geometry?

    It is possible, it was a dataset extracted from OpenStreetMap that I was cleaning up.

    Please close.

     
    • status: open --> closed